# Class JFileIntegrity

#### Hierarchy (View Summary)

- JBaseApi
  - JFileIntegrity

- Defined in jamespot-user-api/src/apis/fileIntegrity/fileIntegrity.ts:8

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

delete
getCommentQuarantines
list
release

## Constructors

### constructor

- new JFileIntegrity(jApi: JamespotUserApi): JFileIntegrity

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JFileIntegrity

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### delete

- delete(
  id: number,
  params?: {
  formatExtension?: (
  | "comments"
  | "search"
  | "actions"
  | "attachments"
  | "contact"
  | "filebank"
  | "licenses"
  | "licensesExtrabot"
  | "messenger"
  | "filebankPath"
  | "parentArticle"
  | "quarantine"
  | "quizFieldDefinitions"
  | "quizResponseRecord"
  | "recurringEventRecord"
  | "socialEventRecord"
  | "surveyDateRecord"
  | "bookmark"
  )[];
  signal?: AbortSignal;
  },
  ): Promise<ApiWrapper<boolean, BaseMessages>>

  #### Parameters

  - id: number
  - `Optional` params: {
    formatExtension?: (
    | "comments"
    | "search"
    | "actions"
    | "attachments"
    | "contact"
    | "filebank"
    | "licenses"
    | "licensesExtrabot"
    | "messenger"
    | "filebankPath"
    | "parentArticle"
    | "quarantine"
    | "quizFieldDefinitions"
    | "quizResponseRecord"
    | "recurringEventRecord"
    | "socialEventRecord"
    | "surveyDateRecord"
    | "bookmark"
    )[];
    signal?: AbortSignal;
    }

  #### Returns Promise<ApiWrapper<boolean, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/fileIntegrity/fileIntegrity.ts:20

### getCommentQuarantines

- getCommentQuarantines<
  T extends jQuarantineLittle,
  K extends ArticleFormatsExtension,
  >(
  id: number,
  params?: {
  formatExtension?: (
  | "comments"
  | "search"
  | "actions"
  | "attachments"
  | "contact"
  | "filebank"
  | "licenses"
  | "licensesExtrabot"
  | "messenger"
  | "filebankPath"
  | "parentArticle"
  | "quarantine"
  | "quizFieldDefinitions"
  | "quizResponseRecord"
  | "recurringEventRecord"
  | "socialEventRecord"
  | "surveyDateRecord"
  | "bookmark"
  )[];
  signal?: AbortSignal;
  },
  ): Promise<ApiWrapper<ArticleWithExtensions<T, K>[], BaseMessages>>

  #### Type Parameters

  - T extends jQuarantineLittle
  - K extends ArticleFormatsExtension

  #### Parameters

  - id: number
  - `Optional` params: {
    formatExtension?: (
    | "comments"
    | "search"
    | "actions"
    | "attachments"
    | "contact"
    | "filebank"
    | "licenses"
    | "licensesExtrabot"
    | "messenger"
    | "filebankPath"
    | "parentArticle"
    | "quarantine"
    | "quizFieldDefinitions"
    | "quizResponseRecord"
    | "recurringEventRecord"
    | "socialEventRecord"
    | "surveyDateRecord"
    | "bookmark"
    )[];
    signal?: AbortSignal;
    }

  #### Returns Promise<ApiWrapper<ArticleWithExtensions<T, K>[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/fileIntegrity/fileIntegrity.ts:48

### list

- list(
  params: ListQueryParameters,
  signal?: AbortSignal,
  ): Promise<ApiWrapper<PagingResults<jQuarantineList>, BaseMessages>>

  #### Parameters

  - params: ListQueryParameters
  - `Optional` signal: AbortSignal

  #### Returns Promise<ApiWrapper<PagingResults<jQuarantineList>, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/fileIntegrity/fileIntegrity.ts:9

### release

- release<T extends jArticleList>(
  id: number,
  params?: {
  formatExtension?: (
  | "comments"
  | "search"
  | "actions"
  | "attachments"
  | "contact"
  | "filebank"
  | "licenses"
  | "licensesExtrabot"
  | "messenger"
  | "filebankPath"
  | "parentArticle"
  | "quarantine"
  | "quizFieldDefinitions"
  | "quizResponseRecord"
  | "recurringEventRecord"
  | "socialEventRecord"
  | "surveyDateRecord"
  | "bookmark"
  )[];
  signal?: AbortSignal;
  },
  ): Promise<ApiWrapper<T, BaseMessages>>

  #### Type Parameters

  - T extends jArticleList

  #### Parameters

  - id: number
  - `Optional` params: {
    formatExtension?: (
    | "comments"
    | "search"
    | "actions"
    | "attachments"
    | "contact"
    | "filebank"
    | "licenses"
    | "licensesExtrabot"
    | "messenger"
    | "filebankPath"
    | "parentArticle"
    | "quarantine"
    | "quizFieldDefinitions"
    | "quizResponseRecord"
    | "recurringEventRecord"
    | "socialEventRecord"
    | "surveyDateRecord"
    | "bookmark"
    )[];
    signal?: AbortSignal;
    }

  #### Returns Promise<ApiWrapper<T, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/fileIntegrity/fileIntegrity.ts:34